<?xml version='1.0' encoding='utf-8'?>

<creole>

    <files>
        <file name="/etc/aaf.conf"/>
        <file filelist="aaf-incron" name="/etc/incron.d/import-aaf" source="import-aaf.incron"/>
        <file filelist="aaf-incron" name="/etc/incron.allow"/>
        <package>incron</package>
	<service>incron</service>
    </files>
    <variables>
        <family name="Apache">
            <!-- increase client_max_body_size to upload large AAF files -->
            <variable name="php_post_max_size" redefine='True'>
                <value>100</value>
            </variable>
        </family>
        <family name="Importation" icon='download'>
            <variable name="aaf_loginshell" description="Shell des utilisateurs importés" type="filename" mandatory="True">
                <value>/bin/false</value>
            </variable>
            <variable name="aaf_homedrive" description="Lecteur du répertoire personnel" type="string" mandatory="True">
                <value>U:</value>
            </variable>
            <variable name="aaf_profile_type" description="Type du profile"/>
            <variable name="aaf_file_format" description="Type d'import"/>
            <variable name="aaf_first_username_idx" description="Mettre un numéro à la fin du nom d'utilisateur même sans doublon" type="oui/non"/>
            <variable name="aaf_domainname_uai" description="UAI de l'établissement" multi="True"/>
            <variable name="aaf_domainname_name" description="Nom courant de l'établissement" type="string" multi="True" mandatory="True"/>
            <variable name="aaf_domainname_domain" description="Nom de domaine du serveur de fichier" type="domain_strict" multi="True" mandatory="True"/>
            <variable name="aaf_basedn" description="Base DN des utilisateurs" type="string" mandatory="True"/>
            <variable name="aaf_toplevel_ou" description="Unité d'organisation où sont placés les utilisateurs lors d'une importation unique" type="string" mandatory="True">
                <value>CN=Users</value>
            </variable>
            <variable name="ad_importation_type" description="Les utilisateurs importés dans la base Active Directory sont dans une OU" mode="expert" auto_freeze="True"/>
            <variable name="activer_importation_auto" description="Activer l'import automatique des comptes" type="oui/non" mode="expert">
                <value>non</value>
            </variable>
            <variable name="import_full_source_dir" description="Répertoire de réception des fichiers d'importation complête (full)" mode="expert">
                <value>/home/aaf/full</value>
            </variable>
            <variable name="import_delta_source_dir" description="Répertoire de réception des fichiers d'importation différentielles (delta)" mode="expert">
                <value>/home/aaf/delta</value>
            </variable>
        </family>
        <separators>
            <separator name='activer_importation_auto'>Importation automatique des comptes</separator>
        </separators>
    </variables>
    <constraints>
        <condition name='disabled_if_in' source='activer_importation_auto'>
            <param>non</param>
            <target type="variable">import_full_source_dir</target>
            <target type="variable">import_delta_source_dir</target>
            <target type="filelist">aaf-incron</target>
        </condition>
        <check name="valid_enum" target="aaf_file_format">
            <param>['AAF ENT2DVA', 'AAF GPEI']</param>
        </check>
        <check name="valid_enum" target="aaf_profile_type">
            <param>['itinerant', 'local', 'none']</param>
        </check>
        <check name="valid_enum" target="ad_importation_type">
            <param>['unique', 'par établissement', 'groupe par établissement']</param>
        </check>
        <group master="aaf_domainname_uai">
            <slave>aaf_domainname_name</slave>
            <slave>aaf_domainname_domain</slave>
        </group>
        <auto name="dn_from_realm" target='aaf_basedn'>
            <param type='eole'>ad_realm</param>
        </auto>
        <fill name='calc_val' target='aaf_domainname_name'>
            <param type="eole">aaf_domainname_uai</param>
        </fill>
    </constraints>
</creole>
